Subject: Re: [Fwd: Suggestion]

From: [email-masked]
Date: Tue, 3 Apr 2007 20:47:13 EDT

It's fine with me -- perhaps you should also let Arthur know?
 
Bob

In a message dated 4/3/07 2:37:05 P.M. Pacific Daylight Time,  
[email-masked] writes:

Unless  you see a reason not to sign up  with this site, both as US and 
UK  event, I'll put in our request.   They have a Google page rank of  
5/10, compared to our 6/10 now, so they're not a tiny  thing.

- David

************************************** See what's free at http://www.aol.com.